> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nomi.tools/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of projects

> Retrieve a paginated list of projects.



## OpenAPI

````yaml get /v1/projects
openapi: 3.0.0
info:
  title: Projects API
  version: 1.0.0
servers:
  - url: https://api.nomi.tools
    description: Main API server
security:
  - basicAuth: []
paths:
  /v1/projects:
    get:
      tags:
        - Projects
      summary: Get list of projects
      description: Retrieve a paginated list of projects.
      operationId: getProjects
      parameters:
        - name: pagination
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/Pagination'
        - name: Accept
          in: header
          required: true
          schema:
            type: string
            enum:
              - application/json
            default: application/json
      responses:
        '200':
          description: List of projects
          content:
            application/json:
              schema:
                type: object
                properties:
                  projects:
                    type: array
                    items:
                      $ref: '#/components/schemas/Project'
                  meta:
                    $ref: '#/components/schemas/Metadata'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
components:
  schemas:
    Pagination:
      type: object
      properties:
        page:
          type: integer
          description: Current page number.
        limit:
          type: integer
          description: Maximum number of items per page.
        offset:
          type: integer
          description: Offset for pagination.
    Project:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the project.
        projectCategoryId:
          type: string
          nullable: true
          description: Identifier for the project category.
        name:
          type: string
          description: Name of the project.
        notes:
          type: string
          nullable: true
          description: Additional notes about the project.
        hasPlan:
          type: boolean
          description: Indicates if the project has a plan.
        planIncome:
          type: number
          format: float
          nullable: true
          description: Planned income for the project.
        planOutcome:
          type: number
          format: float
          nullable: true
          description: Planned outcome for the project.
        income:
          type: number
          format: float
          description: Actual income for the project.
        outcome:
          type: number
          format: float
          description: Actual outcome for the project.
        grossProfit:
          type: number
          format: float
          description: Actual gross profit for the project.
        profitability:
          type: number
          format: float
          description: Actual profitability percentage.
        isArchived:
          type: boolean
          description: Indicates if the project is archived.
        planGrossProfit:
          type: number
          format: float
          nullable: true
          description: Planned gross profit for the project.
        planProfitability:
          type: number
          format: float
          nullable: true
          description: Planned profitability percentage.
    Metadata:
      type: object
      properties:
        total:
          type: integer
          description: Total number of items.
        limit:
          type: integer
          description: Maximum number of items per page.
        offset:
          type: integer
          description: Offset for pagination.
  responses:
    Unauthorized:
      description: Unauthorized access
    Forbidden:
      description: Forbidden access
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >
        Use HTTP Basic Authentication.  Provide your email as login and PPT
        token as the password.

````